#include <iostream>

using namespace std;

int main()
{
    long long n,k,l=0;
    cin >> n >> k;
    long long br[2*n+1];
    for(int i=0;i<2*n+1;i++){
        br[i]=0;
    }
    for(int i=0;i<n;i++){
        long long p;
        cin >> p;
        br[p+n]++;
        if(br[p+n]==k){
            l++;
        }
    }
    cout << l << endl;
    for(int i=0;i<2*n+1;i++){
        if(br[i]>=k){
            cout << i-n << " ";
        }
    }
    return 0;
}